| Home | Libraries | People | FAQ | More

#### file_posix

An implementation of File for POSIX systems.

##### Synopsis

Defined in header `<boost/beast/core/file_posix.hpp>`

    class file_posix

##### Types

Name | Description
--- | ---
native_handle_type | The type of the underlying file handle.

##### Member Functions

Name | Description
--- | ---
close | Close the file if open.
file_posix | Constructor.
is_open | Returns true if the file is open.
native_handle | Returns the native handle associated with the file. Set the native handle associated with the file.
open | Open a file at the given path with the specified mode.
operator= | Assignment.
pos | Return the current position in the open file.
read | Read from the open file.
seek | Adjust the current position in the open file.
size | Return the size of the open file.
write | Write to the open file.
~file_posix | Destructor.

##### Description

This class implements a File using POSIX interfaces.

Convenience header `<boost/beast/core.hpp>`